﻿using System;
using Wisej.Web;

namespace GDYR.LULM.Wj.ProdManager.UserControls
{
    public partial class UC_ColumnsA_B : Wisej.Web.UserControl
    {
        #region EXPOSE USER CONTROL LABEL VALUES
        public Label UC_Lbl_Date { get { return this.Lbl_Date; } }   
        public Label UC_Lbl_SalesOrder { get { return this.Lbl_SalesOrder; } } 
        public Label UC_Lbl_OrderingPlant { get { return this.Lbl_OrderingPlant; } }     
        public Label UC_Lbl_MER { get { return this.Lbl_MER; } }   
        public Label UC_Lbl_TireType { get { return this.Lbl_TireType; } }  
        public Label UC_Lbl_BrandName { get { return this.Lbl_BrandName; } }  
        public Label UC_Lbl_Priority { get { return this.Lbl_Priority; } }                                                  
        #endregion


        public UC_ColumnsA_B()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Region Bubble The Click Event
        /// </summary>
        /// <param name="e"></param>
        #region To Bubble the Click Event
        protected override void OnControlAdded(ControlEventArgs e)
        {
            e.Control.Click += doclick;
            e.Control.MouseEnter += doMouseEnter;
        }

        private void doclick(object sender, EventArgs e)
        {
            this.OnClick(e);
        }
        private void doMouseEnter(object sender, EventArgs e)
        {
            this.OnMouseEnter(e);
        }

        protected override void OnControlRemoved(ControlEventArgs e)
        {
            e.Control.Click -= doclick;
            e.Control.MouseEnter -= doMouseEnter;
        }
        #endregion
    }
}
