﻿/// Use by the User Control UC_OperationDetails.
/// This User control is used to display one Vertical Row (each ProdOrder Operation gets one).

using System;
using Wisej.Web;

namespace GDYR.LULM.Wj.ProdManager.UserControls
{
    public partial class UC_WKC_OpNr : Wisej.Web.UserControl
    {
        /// <summary>
        /// We want to have the Label Text shorter than the Tooltip. That's the reason to use a setter and not Textchanged event
        /// </summary>
        public string SetToolTip_Desc
        {
            set { toolTip1.SetToolTip(Lbl_OperDesc, value); }
        }

        public UC_WKC_OpNr()
        {
            InitializeComponent();
            this.Lbl_OperDesc.SendToBack();
        }

        private void Lbl_TextChanged(object sender, EventArgs e)
        {
            Wisej.Web.Label Lbl = (Wisej.Web.Label)sender;
            this.toolTip1.SetToolTip(Lbl, Lbl.Text);
        }
    }
}
