﻿
using System;
using Wisej.Web;

namespace WebApplication1
{
    public partial class Window1 : Form
    {
        private int NextBufCtrlTopLeft = 0;
        private int CreatedRows = 0;
        private DateTime StartTime;
        
        private GDYR.LULM.Wj.ProdManager.Engines.eUC_1BufRowFactory UC_1BufRow = null;

        public Window1()
        {
            InitializeComponent();
            //This Factory will Create the UC_1BufRow as required
            UC_1BufRow = new GDYR.LULM.Wj.ProdManager.Engines.eUC_1BufRowFactory();
            UC_1BufRow.BufRowCreatedEvent += Handler_UC_1BufRow_BufRowCreatedEvent;
        }

        private void btn_Start_Click(object sender, EventArgs e)
        {
            StartTime = DateTime.Now;

            for (int i = 0; i < 10; i++)
            {
            UC_1BufRow.CreateBufRow();
            }
        }
        private void Handler_UC_1BufRow_BufRowCreatedEvent(object sender, GDYR.LULM.Wj.ProdManager.UserControls.UC_1BufRow e)
        {
            System.Diagnostics.Debug.Print("----> Row created");
            CreatedRows += 1;
            if (CreatedRows == 10)
            {
                System.Diagnostics.Debug.Print("Finished " + (DateTime.Now - StartTime).TotalSeconds);
            }
            e.Location = new System.Drawing.Point(0, NextBufCtrlTopLeft);
            NextBufCtrlTopLeft += e.Height;

            e.BorderStyle = BorderStyle.Solid;

            splitContainer1.Panel2.SuspendLayout();

            //Add the UC_1BufRow to de display Zone
            splitContainer1.Panel2.Controls.Add(e);
            splitContainer1.Panel2.Controls.SetChildIndex(e, 0);

        }
    }
}